librecode-dev_3.6-22_amd64.deb


Advertisement

Description

librecode-dev - Development package for librecode0

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename librecode-dev_3.6-22_amd64.deb
Package name librecode-dev
Package version 3.6
Package release 22
Package architecture amd64
Package type deb
Category libdevel
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 510.05 KB
Installed size 2.10 MB
This package contains the header files and static librecode.a
library needed to build applications based on librecode.

Alternatives

Package Version Architecture Repository
librecode-dev_3.6-22_i386.deb 3.6 i386 Ubuntu Main
librecode-dev - - -

Requires

Name Value
librecode0 = 3.6-22

Download

Type URL
Mirror archive.ubuntu.com
Binary Package librecode-dev_3.6-22_amd64.deb
Source Package recode

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librecode-dev deb package:
    # sudo apt-get install librecode-dev

Files

Path
/usr/include/recode.h
/usr/include/recodext.h
/usr/lib/x86_64-linux-gnu/librecode.a
/usr/lib/x86_64-linux-gnu/librecode.so
/usr/share/doc/librecode-dev

Changelog

2015-08-26 - Santiago Vila <sanvila@debian.org>
recode (3.6-22) unstable; urgency=medium
* Change doc/mdate-sh to use TZ=UTC.
* Update config.guess and config.sub.
2013-10-12 - Santiago Vila <sanvila@debian.org>
recode (3.6-21) unstable; urgency=low
* Switch from texi2html to makeinfo.
* Updated config.guess and config.sub.
2012-06-06 - Santiago Vila <sanvila@debian.org>
recode (3.6-20) unstable; urgency=low
* Set LD_LIBRARY_PATH when required, multiarch and the old libtool
do not work together very well.
2012-06-04 - Santiago Vila <sanvila@debian.org>
recode (3.6-19) unstable; urgency=low
* Updated config.guess and config.sub.
* Updated po files from translation project.
* Switch to dh for multiarch and hardened build flags.
* Tidy up debian/patches.
2011-08-06 - Santiago Vila <sanvila@debian.org>
recode (3.6-18) unstable; urgency=low
* Switch to 3.0 (quilt) source format.
* Fixed several lintian warnings.
* Dropped obsolete -D_REENTRANT.
* Added missing postrm.
2009-11-04 - Santiago Vila <sanvila@debian.org>
recode (3.6-17) unstable; urgency=medium
* Do not ignore errors from make distclean.
* Changed debian/* files again for new texi2html behaviour. Closes: #552972.
2009-08-30 - Santiago Vila <sanvila@debian.org>
recode (3.6-16) unstable; urgency=low
* Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.
* Handle info files as indicated by policy 3.8.3.
* Fixed memory leak in librecode. Closes: #242190.
Thanks a lot to Gaƫl Le Mignot for the patch.
* Moved doc-base manual to "Text" section.
* Removed useless calls to install-docs.
* Updated config.guess and config.sub.
* Removed useless *.la files.
* Added watch file.
2008-04-02 - Santiago Vila <sanvila@debian.org>
recode (3.6-15) unstable; urgency=low
* Reduced size of "ignore" element in struct recode_symbol to 1 bit.
Should make gcc-4.3 happy. Closes: #462004.
2007-06-28 - Santiago Vila <sanvila@debian.org>
recode (3.6-14) unstable; urgency=low
* Should build twice in a row. Closes: #424291.
* Updated po files from translation project. Closes: #313925, #427366.
2006-12-08 - Santiago Vila <sanvila@debian.org>
recode (3.6-13) unstable; urgency=medium
* Updated config.guess and config.sub.
* Fixed NAME section in manpage (Closes: #368634).
* Removed build-dependency on flex (Closes: #402023).

See Also

Package Description
librecode0_3.6-22_amd64.deb Shared library on which recode is based
libref-array-dev_0.5.0-1_amd64.deb Development files for refcounted array for C
libref-array1_0.5.0-1_amd64.deb refcounted array for C
libreiser4-dev_1.1.0-1.1_amd64.deb Reiser4's filesystem access and manipulation library. Devel files
libreoffice-avmedia-backend-gstreamer_5.1.2-0ubuntu1_amd64.deb GStreamer backend for LibreOffice
libreoffice-base-core_5.1.2-0ubuntu1_amd64.deb office productivity suite -- shared library
libreoffice-base-drivers_5.1.2-0ubuntu1_amd64.deb Database connectivity drivers for LibreOffice
libreoffice-base_5.1.2-0ubuntu1_amd64.deb office productivity suite -- database
libreoffice-calc_5.1.2-0ubuntu1_amd64.deb office productivity suite -- spreadsheet
libreoffice-common_5.1.2-0ubuntu1_all.deb office productivity suite -- arch-independent files
libreoffice-core_5.1.2-0ubuntu1_amd64.deb office productivity suite -- arch-dependent files
libreoffice-dev-doc_5.1.2-0ubuntu1_all.deb office productivity suite -- SDK documentation
libreoffice-dev_5.1.2-0ubuntu1_amd64.deb office productivity suite -- SDK
libreoffice-draw_5.1.2-0ubuntu1_amd64.deb office productivity suite -- drawing
libreoffice-gnome_5.1.2-0ubuntu1_amd64.deb office productivity suite -- GNOME integration
Advertisement
Advertisement